package it.eng.test.hibernate;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

public class HibernateServiceUtil {

	private static EntityManagerFactory emf;
	
    private static EntityManager em;
	
    /*The name of our PERSISTENCE_UNIT, as specified in the META-INF/persistence.xml file*/
	private static final String PERSISTENCE_UNIT = "TEST"; 
	
	/*Initialize our DB connection*/
	public static EntityManager initEntityManager() {
        if (emf == null) {
        	/*
        	 * If we want to set those properties via code rather than write them in the XML file:
        	 * 
       		Map addedOrOverridenProperties = new HashMap();
        	addedOrOverridenProperties.put("hibernate.connection.password", PWD);
        	addedOrOverridenProperties.put("hibernate.connection.url", URL);
        	addedOrOverridenProperties.put("hibernate.connection.username", USERNAME);        	
        	emf = Persistence.createEntityManagerFactory(PERSISTENCE_UNIT, addedOrOverridenProperties);
        	*/
        	emf = Persistence.createEntityManagerFactory(PERSISTENCE_UNIT);
            em = emf.createEntityManager();
        }
        return em;
    }
	
    public void cleanup() {
        em.clear();
    	emf.close();
    }
    
}

