package it.eng.test.hibernate.client;

import java.util.List;

import it.eng.test.hibernate.persistentobject.PersistentObject;
import it.eng.test.hibernate.persistentobject.PersistentObjectHibernateUtil;

public class Client {
	
	public static void main(String [] args){
		/*Initialize our Hibernate*/
		PersistentObjectHibernateUtil.initPersistentObjectHibernateUtil();
		
		/*Demo*/
		/*Create and store an object on our DB*/
		PersistentObject p = new PersistentObject("first", 1, "not_stored");
		PersistentObjectHibernateUtil.savePersistentObject(p);
		
		/*Create and store two other objects on our DB*/
		PersistentObjectHibernateUtil.savePersistentObject("second", 2, null);
		PersistentObjectHibernateUtil.savePersistentObject("third", 3, null);
		
		/*Check if the second one is in the DB*/
		PersistentObject result = PersistentObjectHibernateUtil.getItem("second");
		System.out.println("Object "+result.getColumn1()+" is in DB");
		
		/*Delete the first one from our DB*/
		PersistentObjectHibernateUtil.deleteItem(p);
		
		/*Check what's left in our DB*/
		List<PersistentObject> items = PersistentObjectHibernateUtil.getItems();
		System.out.println("Objects in DB:");
		int i=1;
		for(PersistentObject po : items){
			System.out.println("Item #"+i+":");
			System.out.println("Column1: "+po.getColumn1());
			System.out.println("Column2: "+po.getColumn2());
		}
	}

}
